Package com.usatiuk.dhfs.remoteobj

# Interface ObjSyncHandler<T extends JDataRemote,D extends JDataRemoteDto>

All Known Implementing Classes:
  `FileSyncHandler`, `PeerInfoSyncHandler`

public interface ObjSyncHandler<T extends JDataRemote,D extends JDataRemoteDto>

## Method Summary

Modifier and Type
Method
Description
`void`
`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, D receivedData)`

## Method Details

### handleRemoteUpdate

void handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, @Nullable D receivedData)